Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ObjectIDList.cpp File Reference

`#include "tao/ObjectIDList.h"`
`#include "tao/Typecode.h"`
`#include "tao/ORB.h"`
`#include "tao/Any.h"`
`#include "tao/ObjectIDList.i"`

Include dependency graph for ObjectIDList.cpp:

## Defines
#define | _CORBA_ORB_OBJECTIDLIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_CORBA_ORB_ObjectIdList (CORBA::tk_alias, sizeof (_oc_CORBA_ORB_ObjectIdList), (char *) &_oc_CORBA_ORB_ObjectIdList, 0, sizeof (CORBA_ORB_ObjectIdList))
void | operator<<= ( CORBA::Any &_tao_any, const CORBA_ORB_ObjectIdList &_tao_elem )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA_ORB_ObjectIdList &_tao_sequence )
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA_ORB_ObjectIdList &_tao_sequence)
void | operator<<= (CORBA::Any &_tao_any, CORBA_ORB_ObjectIdList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA_ORB_ObjectIdList *&_tao_elem)
## Variables
const CORBA::Long | _oc_CORBA_ORB_ObjectIdList []

## Define Documentation

#define _CORBA_ORB_OBJECTIDLIST_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_CORBA_ORB_ObjectIdList ( | CORBA::tk_alias,
| sizeof(_oc_CORBA_ORB_ObjectIdList),
| (char *)& _oc_CORBA_ORB_ObjectIdList,
| 0,
| sizeof(CORBA_ORB_ObjectIdList) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_ORB_ObjectIdList & _tao_sequence )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA_ORB_ObjectIdList * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const CORBA_ORB_ObjectIdList & _tao_elem )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_ORB_ObjectIdList & _tao_sequence )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA_ORB_ObjectIdList *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_CORBA_ORB_ObjectIdList[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      39, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x6f6d672e), ACE_NTOHL (0x6f72672f), ACE_NTOHL (0x434f5242), ACE_NTOHL (0x412f4f52), ACE_NTOHL (0x422f4f62), ACE_NTOHL (0x6a656374), ACE_NTOHL (0x49644c69), ACE_NTOHL (0x73743a31), ACE_NTOHL (0x2e300000),
      13, ACE_NTOHL (0x4f626a65), ACE_NTOHL (0x63744964), ACE_NTOHL (0x4c697374), ACE_NTOHL (0x0),
      CORBA::tk_sequence,
      84,
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_alias,
        68,
          TAO_ENCAP_BYTE_ORDER,
          35, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x6f6d672e), ACE_NTOHL (0x6f72672f), ACE_NTOHL (0x434f5242), ACE_NTOHL (0x412f4f52), ACE_NTOHL (0x422f4f62), ACE_NTOHL (0x6a656374), ACE_NTOHL (0x49643a31), ACE_NTOHL (0x2e300000),
          9, ACE_NTOHL (0x4f626a65), ACE_NTOHL (0x63744964), ACE_NTOHL (0x0),
          CORBA::tk_string,
          0,
      0,
    }